\documentclass{standalone}

\usepackage[latin1]{inputenc}
\usepackage{tikz}
\usetikzlibrary{trees}
\usetikzlibrary{decorations.pathmorphing}
\usetikzlibrary{decorations.markings}
\usetikzlibrary{arrows,automata}
\begin{document}

\begin{tikzpicture}[shorten >=1pt,auto,node distance=2 cm, scale = 1, transform shape,
    every state/.style={text=black},
    bad/.style ={red!70!black,text=white}]

% Vertices
\node[bad, state](baad) at (1,-1) {$!!!$};
\node[initial,state](init) [below right of=baad] {};
\node[state](okreach) [below left of=init] {};
\node[state](okunreach1) [below right of=okreach]  {};
\node[state](okunreach2) [below left of=okunreach1] {};
\node[bad, state](badunreach) [right of=init] {$ok$};
% Edges
\path [->](okreach) edge [bend right] node {} (init)
    (init)       edge [bend right] node {} (okreach)
    (okreach)    edge [bend left] node {} (baad)
    (okunreach1) edge [bend right] node {} (okunreach2)
    (okunreach2) edge [bend right] node {} (okunreach1)
    (okunreach1) edge [bend right] node {} (okreach)
    (okunreach1) edge [bend right] node {} (badunreach)
    (badunreach) edge [bend right] node {} (baad);
    \draw[draw=black, rounded corners] (0,0) rectangle (3,-4.5);
    \draw[draw=green!60!black, rounded corners] (0.25,-1.75) rectangle (3.25,-7.5);
    \node[text=black, anchor=north west] at (0,0) {reachable};
    \node[text=green!60!black, anchor=south east] at (3.25,-7.5) {safe};
\end{tikzpicture}

\end{document}
